---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - relationship: '&IDR_Element_Content__has__Instance;'
    index: 103
    sourceClassId: '&IDC_ElementContent;'
    type: 'has'
    destinationClassId: '&IDC_Instance;'
    siblingRelationshipId: '&IDR_Instance__for__Element_Content;'
    singular: no

  - relationship: '&IDR_Instance__for__Element_Content;'
    index: 104
    sourceClassId: '&IDC_Instance;'
    type: 'for'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__has__Instance;'
    singular: no


  - relationship: '&IDR_Element_Content__has__Layout;'
    index: 105
    sourceClassId: '&IDC_ElementContent;'
    type: 'has'
    destinationClassId: '&IDC_Layout;'
    siblingRelationshipId: '&IDR_Layout__for__Element_Content;'
    singular: no

  - relationship: '&IDR_Layout__for__Element_Content;'
    index: 106
    sourceClassId: '&IDC_Layout;'
    type: 'for'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__has__Layout;'
    singular: no

  - class:      '&IDC_ElementContent;'
    name:      Element Content
    index:     56
    customTagName: 'elementContent'
    registerForTemplate: yes
    defaultTask: '&IDI_Task_ViewElementContent;'
    instancesLabeledByRAMB: '&IDMB_Element_Content__get__Fully_Qualified_Name;'
    relatedTasks:
    - instance: '&IDI_Task_ViewElementContent;'
    - instance: '&IDI_Task_EditElementContent;'
    attributes:
    - instance: '&IDA_Order;'
      customTagName: 'order'
    - instance: '&IDA_Label;'
      customTagName: 'label'
    relationships:
    - instance: '&IDR_Element_Content__has__Instance;'
      customTagName: 'defaultDataType'
    - instance: '&IDR_Element_Content__has__Element_Content_Display_Option;'
      customTagName: 'displayOptions'
    - instance: '&IDR_Element_Content__has__Layout;'
      customTagName: 'layout'
    - instance: '&IDR_Element_Content__built_from__BEM_Process;'
      customTagName: 'builtFromBEMProcess'
    - instance: '&IDR_Derived_Element_Content__update_with__Executable_returning_Work_Data;'
      customTagName: 'value'
    instances:
    - instance:      '&IDI_Element_AddMetadataInstance;'
      name:      add metadata instance
      index:     1
      
  - relationship: '&IDR_Element_Content__has__Element_Content_Display_Option;'
    index: 259
    sourceClassId: '&IDC_ElementContent;'
    type: 'has'
    destinationClassId: '&IDC_ElementContentDisplayOption;'
    siblingRelationshipId: '&IDR_Element_Content_Display_Option__for__Element_Content;'
    singular: no
  - relationship: '&IDR_Element_Content_Display_Option__for__Element_Content;'
    index: 260
    sourceClassId: '&IDC_ElementContentDisplayOption;'
    type: 'for'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__has__Element_Content_Display_Option;'
    singular: no

  - relationship: '&IDR_Derived_Element_Content__update_with__Executable_returning_Work_Data;'
    index: 2165
    sourceClassId: '&IDC_ElementContent;'
    type: 'update with'
    destinationClassId: '&IDC_ExecutableReturningWorkData;'
    siblingRelationshipId: '&IDR_Executable_returning_Work_Data__used_by__Derived_Element_Content;'
    singular: no
  - relationship: '&IDR_Executable_returning_Work_Data__used_by__Derived_Element_Content;'
    index: 2166
    sourceClassId: '&IDC_ExecutableReturningWorkData;'
    type: 'used by'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Derived_Element_Content__update_with__Executable_returning_Work_Data;'
    singular: no